<?php include('../fncr-geral/configuracao_geral.php');

$id_registro = $_GET['reg'];
$dest = $_GET['dest'];

if($dest == "pag"){

  $sql_datas = $bd->getConexao()->prepare('
  SELECT clubes_financeiro_dataspag.*,
    clubes_financeiro_statuspag.status as nomestatus,
    DATE_FORMAT(clubes_financeiro_dataspag.data,"%d/%m/%Y") AS data_format
  FROM clubes_financeiro_dataspag
    LEFT JOIN clubes_financeiro_statuspag ON clubes_financeiro_statuspag.id = clubes_financeiro_dataspag.status
  WHERE clubes_financeiro_dataspag.id_financeiro = :id_registro ORDER BY id DESC');
  $sql_datas->bindValue(':id_registro', $id_registro, PDO::PARAM_STR);
  if( $sql_datas->execute() ) { $resul_datas = $sql_datas->fetchall(PDO::FETCH_ASSOC);}

}else{

  $sql_datas = $bd->getConexao()->prepare('
  SELECT clubes_financeiro_datas.*,
    clubes_financeiro_status.status as nomestatus,
    DATE_FORMAT(clubes_financeiro_datas.data,"%d/%m/%Y") AS data_format
  FROM clubes_financeiro_datas
    LEFT JOIN clubes_financeiro_status ON clubes_financeiro_status.id = clubes_financeiro_datas.status
  WHERE clubes_financeiro_datas.id_financeiro = :id_registro ORDER BY id DESC');
  $sql_datas->bindValue(':id_registro', $id_registro, PDO::PARAM_STR);
  if( $sql_datas->execute() ) { $resul_datas = $sql_datas->fetchall(PDO::FETCH_ASSOC);}

}

@header("Content-Type: text/html; charset=ISO-8859-1",true);
?>
<div class="row">
  <div class="col-lg-12">
    <section class="panel">
      <table class="table table-striped b-t text-small">
        <thead>
        <tr>
          <th width="100" class="text-center">Data</th>
          <th width="100" class="text-center">Status</th>
          <?php if($dest != "pag"){?>
          <th width="30"></th>
          <?php } ?>
        </tr>
        </thead>
        <tbody>
<?php foreach ($resul_datas as $linha_datas){
if($linha_datas['origem'] == 1){$origem = "(PagS)";}
?>
        <tr>
          <td class="text-info text-center"><?php echo $linha_datas['data_format'];?> - <?php echo echohora($linha_datas['hora']);?></td>
          <td class="text-info text-center status-<?php echo $linha_datas['status']?>"><?php echo $linha_datas['nomestatus']?></td>
          <?php if($dest != "pag"){?>
          <td class="text-info">
            <?php if(isset($origem)){ echo $origem;}?>
            <a class="pull-right" data-toggle="modal" href="#modal_status_alt_deletar" data-backdrop="static" data-id_data="<?php echo $linha_datas['id'];?>"> <i class="fa fa-times fa-lg" data-toggle="tooltip" data-placement="top" title="Excluir"></i> </a>
          </td>
          <?php } ?>
        </tr>
<?php } ?>
        </tbody>
      </table>
    </section>
  </div>
</div>
<?php $bd = null; $bd_fn = null;?>